import { openAssessmentDetail, levenshteinDistance } from "./src/util/utils";
import { processData } from "./src/util/dataProcess";
import { parseExpression, parseCode } from "./src/util/parseFromVisual";
import { autoGenerateTestCaseOutput } from "./src/util/auto_gen_output";
import { IVProgProcessor } from "./src/processor/ivprogProcessor";
import { SemanticAnalyser } from "./src/processor/semantic/semanticAnalyser";
import { Modes } from "./src/processor/modes";
import { Location } from "./src/memory/location";
import { Config } from "./src/util/config";
import { i18nHelper } from "./src/services/i18nHelper";
import {getInstance as LocalizedStrings} from "./src/services/localizedStringsService";
import {LanguageService} from "./src/services/languageService";

const Settings = {
  programming: [],
  functions: [],
  datatypes: [],
  commands: [],
  filter: []
}

const i18n = i18nHelper.i18n;

export {
  i18n,
  Settings,
  Config,
  LocalizedStrings,
  LanguageService,
  SemanticAnalyser,
  IVProgProcessor,
  Modes,
  Location,
  openAssessmentDetail,
  autoGenerateTestCaseOutput,
  parseExpression,
  parseCode,
  levenshteinDistance,
  processData,
};
